package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class ProstyKalkulator {

	@RequestMapping("/moj_kalkulator")
	public String dzialaj(Long liczba1, Long liczba2, String operacja, Model model) {
		if(liczba1 != null && liczba2 != null && operacja != null) {
			Long wynik = switch(operacja) {
				case "+" -> liczba1 + liczba2;
				case "-" -> liczba1 - liczba2;
				case "*" -> liczba1 * liczba2;
				case "/" -> liczba1 / liczba2;
				default  -> 0L;
			};
			model.addAttribute("wynik", wynik);
		}
		return "moj_kalkulator.html";
	}
	
}
